package de.ivu.elect.presentation.gebietsbaum;

import de.ivu.elect.business.gebietsbaum.entity.GebietPK;

import java.io.Serializable;

public class GebietSortierenData implements Serializable {

  private final String name;
  private final GebietPK gebietPK;
  private final String icon;


  public GebietSortierenData(String name, GebietPK gebietPK, String icon) {
    this.name = name;
    this.gebietPK = gebietPK;
    this.icon = icon;
  }

  public String getName() {
    return name;
  }

  public GebietPK getGebietPK() {
    return gebietPK;
  }

  @Override
  public String toString() {
    return name;
  }

  public String getIcon() {
    return icon;
  }
}
